package sos.scheduler.job;

/**
 * @author andreas.pueschel@sos-berlin.com
 *
 * debug a scheduler session. You will need scheduler.dll in your system path.
 * If other directories are used, You have to start the VM with the argument: 
 * -Djava.library.path=<path_to_directory_with_scheduler.dll>
 */

public class JobDebugger {

    public static void main(String[] args) {
    	
    	String base = "c:/scheduler/";
    	String home = "/java/eclipse/workspace/sos.scheduler/";
    	
		sos.spooler.Spooler_program spooler = new sos.spooler.Spooler_program( 
				" -id=localhost" +								// identifies the scheduler in scheduler.xml
				" -ini=" + base  + "config/factory.ini" +		// scheduler parameter configuration file
				" -config=" + base + "config/scheduler_debug.xml" +   // scheduler job configuration file
				" -param=" + base +
				" -include-path=" + base +   					// include directory for job scripts 
				" -cd=" + base +								// working directory
				" -log=" + base + "logs/scheduler.log" +		// detailed log file
				" -log-dir=" + base + "logs");					// directory for standard log files
    }
}
